Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.mc.bootstrap
Class ActualBootstrap

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
                  org.jboss.kernel.plugins.bootstrap.basic.BasicBootstrap
                      org.jboss.portal.common.mc.bootstrap.ActualBootstrap

All Implemented Interfaces:
  java.lang.Runnable, org.jboss.kernel.spi.event.KernelEventEmitter, org.jboss.kernel.spi.KernelObject

    public class ActualBootstrap

extends org.jboss.kernel.plugins.bootstrap.basic.BasicBootstrap

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
`config`

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL, NULL_FILTER`

Constructor Summary
`ActualBootstrap(WebBootstrap callback)`

Method Summary
`protected void` | `bootstrap()`

Methods inherited from class org.jboss.kernel.plugins.bootstrap.basic.BasicBootstrap
`getConfigProperties, main`

Methods inherited from class org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
`getConfig, getKernel, run, setConfig`

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Constructor Detail

### ActualBootstrap

    public ActualBootstrap(WebBootstrap callback)
                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### bootstrap

    protected void bootstrap()
                      throws java.lang.Throwable

  Overrides:
    `bootstrap` in class `org.jboss.kernel.plugins.bootstrap.AbstractBootstrap`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.